Uptime MonitoringGet uptime status

Get uptime status

Retrieve the current uptime monitoring status for a link's destination URL, including current state and response time.

curl -X GET "https://api.mythic-analytics.com/api/v1/links/example_string/uptime/status" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": {
    "link_id": "lnk_9xP3qLmN",
    "status": "up",
    "response_time_ms": 245,
    "last_checked": "2024-06-15T14:30:00.000Z",
    "monitoring_active": true,
    "interval": 300
  }
}
GET
/links/{id}/uptime/status
GET
Bearer Token
Bearer Tokenstring
Required

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
API Key (query: admin_key)
admin_keystring
Required

Alternative to the Authorization header for server-to-server scenarios.

Alternative to the Authorization header for server-to-server scenarios.
path
idstring
Required

Short link identifier.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

query
admin_keystring
Required

API Key for authentication. Alternative to the Authorization header for server-to-server scenarios.

Path Parameters

idstring
Required

Short link identifier.

Responses

successboolean
dataobject